Package org.mariadb.jdbc.message.client

## Class SslRequestPacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.SslRequestPacket

All Implemented Interfaces:
  `org.mariadb.jdbc.message.ClientMessage`

    public final class SslRequestPacket
    extends Object
    implements org.mariadb.jdbc.message.ClientMessage

SSL request packet see https://mariadb.com/kb/en/connection/#sslrequest-packet

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SslRequestPacket` `create​(long clientCapabilities, byte exchangeCharset)` Create ssl request packet
`int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context)` Encode client message to socket.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket`

### Method Detail

#### create

    public static SslRequestPacket create​(long clientCapabilities,
                                          byte exchangeCharset)

Create ssl request packet

Parameters:
  `clientCapabilities` - client capabilities
  `exchangeCharset` - connection charset
Returns:
  ssl request packet

#### encode

    public int encode​(Writer writer,
                      org.mariadb.jdbc.client.Context context)
               throws IOException

Description copied from interface: `org.mariadb.jdbc.message.ClientMessage`
Encode client message to socket.

Specified by:
  `encode` in interface `org.mariadb.jdbc.message.ClientMessage`
Parameters:
  `writer` - socket writer
  `context` - connection context
Returns:
  number of client message written
Throws:
  `IOException` - if socket error occur